package ru.dbotthepony.kstarbound.defs.parallax

import com.google.gson.GsonBuilder
import ru.dbotthepony.kstarbound.io.json.builder.BuilderAdapter

class ParallaxPrototype {
	var verticalOrigin = 0.0

	var layers = Array(0) { ParallaxPrototypeLayer() }

	companion object {
		val ADAPTER = BuilderAdapter(
			::ParallaxPrototype,
			ParallaxPrototype::verticalOrigin,
			ParallaxPrototype::layers,
		)
	}
}